{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function rowexists, msg\r\ndeclare subroutine forward_event, record_lock, create_note\r\n$insert quote_equ\r\n$insert msg_equates\r\n$insert logical\r\nequ CrLf$ to char(13):char(10)\r\n\r\nSendMessage = false$\r\nif rowexists( 'QUOTE', .quote_no->text ) else\r\n   .entry_id->text = @user4\r\n   SendMessage = true$\r\nend  \r\nQuoteNo = .quote_no->text \r\nOrigInqStatus = get_property( @window, '@OrigInqStatus' )\r\nCurInqStatus  = .inquiry_status->value\r\nforward_event()\r\nif OrigInqStatus <> 'N' and CurInqStatus = 'N' then\r\n   * THEY HAVE SET TO NO QUOTE SO ASK IF THEY WANT TO SEND A MESSAGE TO NEW DEVELOPMENT\r\n   MsgInfo = ''\r\n   MsgInfo<mtype$> = 'BNY'\r\n   MsgInfo<micon$> = '?'\r\n   Tvar            = 'You have selected \"No Quote\" Inquiry status...':CrLf$\r\n   Tvar           := 'Do you wish to send a message to the new product development group?'\r\n   MsgInfo<mtext$> = Tvar\r\n   SendIt = msg( '', MsgInfo )\r\n   if SendIt = 1 then\r\n      Users = 'DOUG_W':@vm:'TOM_T':@vm:'BRYCE_M'\r\n      Message = 'Inquiry has been set to No Quote status by ':oconv( @user4, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' ):' on ':oconv( date(), 'D2/' ):' at ':oconv( time(), 'MTH' )\r\n      create_note( Users, 'System', 'Inquiry set to No Quote', Message, 'QUOTE', QuoteNo )\r\n   end\r\nend\r\n*if SendMessage then\r\n*    SignatureInfo = xlate( 'CONFIG', 'QUOTE_SIGS', '', 'X' )\r\n*    Users           = SignatureInfo<1>\r\n*    locate @user4 in Users using @vm setting Upos then\r\n*        ;* don't send to user that is entering\r\n*        Users = delete( Users, 1, Upos, 0 )\r\n*    end\r\n*    Message = 'Please review this quote and sign or respond.'\r\n*    create_note( Users, 'System', 'Quote to sign', Message, 'QUOTE', QuoteNo )\r\n*end\r\nreturn 0\r\n"
        }
    }
}